SVC_RESERVE(9)

NAME
svc_reserve - change the space reserved for the reply to a request.

SYNOPSIS

void svc_reserve(struct svc_rqst * rqstp, int space);

ARGUMENTS

rqstp
    The request in question

space
    new max space to reserve

DESCRIPTION

Each request reserves some space on the output queue of the transport to make sure the reply fits. This function reduces that reserved space to be the amount of space used already, plus space.

COPYRIGHT